# Uses of Class
java.lang.module.ModuleDescriptor.Exports

Packages that use ModuleDescriptor.Exports
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleDescriptor.Exports in java.lang.module

Classes in java.lang.module that implement interfaces with type arguments of type ModuleDescriptor.Exports
Modifier and Type
Class
Description
`static final class`
`ModuleDescriptor.Exports`
A package exported by a module, may be qualified or unqualified.
Methods in java.lang.module that return types with arguments of type ModuleDescriptor.Exports
Modifier and Type
Method
Description
`Set<ModuleDescriptor.Exports>`
ModuleDescriptor.`exports()`
Returns the set of `Exports` objects representing the exported packages.
Methods in java.lang.module with parameters of type ModuleDescriptor.Exports
Modifier and Type
Method
Description
`int`
ModuleDescriptor.Exports.`compareTo(ModuleDescriptor.Exports that)`
Compares this module export to another.
`ModuleDescriptor.Builder`
ModuleDescriptor.Builder.`exports(ModuleDescriptor.Exports e)`
Adds an exported package.